Subject: Re: [PATCH net-next 1/3] ice: add support for Auto FEC with FEC disabled

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Jul 2022 22:09:19 -0700

On Thu, 14 Jul 2022 11:03:09 -0700 Tony Nguyen wrote:
> The default Link Establishment State Machine (LESM) behavior does not
> allow the use of FEC disabled if the media does not support FEC
> disabled. However users may want to override this behavior.
> 
> Add ethtool private flag allow-no-fec-modules-in-auto to allow Auto FEC
> with no-FEC mode.
> 
> 	ethtool --set-priv-flags ethX allow-no-fec-modules-in-auto on|off

No more priv flags for FEC config please. Use the ethtool --set-fec API
and extend it as needed.